# 项目相关配置
ruoyi:
  # 名称
  name: RuoYi
  # 版本
  version: 4.6.1
  # 版权年份
  copyrightYear: 2021
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: /usr/local/var/www/uploadPath
  # 获取ip地址开关
  addressEnabled: false

#系统自定义配置
liquidnet:
    url-refund:
      apply: "${liquidnet.client.admin.phpPayUrl}/refund/single"
      notify: "${liquidnet.client.admin.platformUrl}/platform/refund/callback"
    url-banner:
      provinces: "${liquidnet.client.admin.phpServiceUrl}/provinces" #省份
      url1: "${liquidnet.client.admin.phpoMediaApiUrl}/api/video/list?per_page=50&page=1&type=1" #PGC点播
      url2: "${liquidnet.client.admin.phpoMediaApiUrl}/api/video/list?per_page=50&page=1&type=2" #PGC直播
      url5: "${liquidnet.client.admin.phpMallUrl}/admin/fieldListForQuick?page=1&per_page=50" #场地
      url6: "/kylin/performances/recommend/performance/status?pageNum=1&pageSize=50&status=(3,6,7,8,9,10)&title=''" #票务
      url7: "${liquidnet.client.admin.phpMallUrl}/admin/goodListForQuick?page=1&per_page=50" #商品
      url8: "${liquidnet.client.admin.kylinApiUrl}/kylin/performances/roadShow/list?pageNum=1&pageSize=50" #巡演
      url13: "${liquidnet.client.admin.phpMallUrl}/admin/integrationListForQuick?page=1&per_page=50" #积分商城
      url14: "${liquidnet.client.admin.phpMallUrl}/admin/good/collective/quick?page=1&per_page=50" #商品集合
      url20: "${liquidnet.client.admin.phpMerchantApiUrl}/admin/mis/musician/quick?page=1&per_page=50" #音乐人
      url21: "${liquidnet.client.admin.phpMerchantApiUrl}/admin/mis/song/quick?page=1&per_page=50" #歌曲
      url22: "${liquidnet.client.admin.phpMerchantApiUrl}/admin/mis/album/quick?page=1&per_page=50" #专辑
      url23: "${liquidnet.client.admin.phpoMediaApiUrl}/api/play/list?page=1&per_page=50" #视频播单
      url24: "${liquidnet.client.admin.phpMerchantApiUrl}/admin/mis/musician/collect?page=1&per_page=50" #音乐人合集
      url26: "${liquidnet.client.admin.phpPassportUrl}/admin/vip/card/list?page=1&per_page=50&status=1" #摩登会员
    al-oss:
      imgUrl: "https://img.zhengzai.tv/"
      endpoint: http://oss-cn-hangzhou.aliyuncs.com
      accessKeyId: LTAI4FxrURzMvvu9reFgwY5o
      accessKeySecret: Ym5tfAxOf2zX20MgjikLI3Wz3tlwVV
    shunfeng:
      url: ${liquidnet.client.admin.shunfeng.url}
      sk: ${liquidnet.client.admin.shunfeng.sk}
      appid: ${liquidnet.client.admin.shunfeng.appid}
      custid: ${liquidnet.client.admin.shunfeng.custid}
      jCompany: 北京正在映画互联网有限公司
      jContact: 摩登天空票务部
      jTel: 4001680650
      jProvince: 北京
      jCity: 北京市
      jAddress: 朝阳区广渠路1号北京市商业储运公司3-12号 摩登天空
      expressType: 1 # 默认顺丰特快
      depositumInfo: 演出纸质票

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为80
  port: ${liquidnet.info.port}
  servlet:
    # 应用的访问路径
    context-path: ${liquidnet.info.context}
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 800
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 30

# 日志配置-------------------------------------------------------
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn
#logging:
#  #  config: ${liquidnet.logfile.config}
#  file:
#    name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}.log
#    max-size: 200MB
#  pattern:
#    file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
#    console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
#    rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
#  level:
#    root: info
#    #以下是为指定包设置日志级别
#    com:
#      liquidnet:
#        client:
#          admin: debug
#    org:
#      springframework: warn

# -----------------------------------------------------------

# 用户配置
user:
  password:
    # 密码错误{maxRetryCount}次锁定10分钟
    maxRetryCount: 5

# Spring配置
spring:
  application:
    name: liquidnet-client-admin-web
  # 模板引擎
  thymeleaf:
    mode: HTML
    encoding: utf-8
    # 禁用缓存
    cache: false
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: static/i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size:  10MB
      # 设置总上传的文件大小
      max-request-size:  20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: false
  data:
    mongodb:
      uri: mongodb://${liquidnet.mongodb.user}:${liquidnet.mongodb.pwd}@${liquidnet.mongodb.host}/?authSource=admin&maxPoolSize=200&waitQueueMultiple=100
      sslEnabled: ${liquidnet.mongodb.sslEnabled}
      database: ${liquidnet.mongodb.database}
  redis:
    database: 15
    port: ${liquidnet.redis.port}
    host: ${liquidnet.redis.host}
    password: ${liquidnet.redis.password}
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0

# MyBatis
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.liquidnet.service.kylin.**.entity,com.liquidnet.client.admin.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml,classpath:com.liquidnet.service.kylin.mapper/*Mapper.xml,classpath:com.liquidnet.service.adam.mapper/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql

# Shiro
shiro:
  user:
    # 登录地址
    loginUrl: /login
    # 权限认证失败地址
    unauthorizedUrl: /unauth
    # 首页地址
    indexUrl: /index
    # 验证码开关
    captchaEnabled: false
    # 验证码类型 math 数组计算 char 字符
    captchaType: math
  cookie:
    # 设置Cookie的域名 默认空，即当前访问的域名
    domain:
    # 设置cookie的有效访问路径
    path: /
    # 设置HttpOnly属性
    httpOnly: true
    # 设置Cookie的过期时间，天为单位
    maxAge: 30
  session:
    # Session超时时间，-1代表永不过期（默认30分钟）
    expireTime: 30
    # 同步session到数据库的周期（默认1分钟）
    dbSyncPeriod: 1
    # 相隔多久检查一次session的有效性，默认就是10分钟
    validationInterval: 10
    # 同一个用户最大会话数，比如2的意思是同一个账号允许最多同时两个人登录（默认-1不限制）
    maxSession: -1
    # 踢出之前登录的/之后登录的用户，默认踢出之前登录的用户
    kickoutAfter: false

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
